Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005846opensim[GRID] Hypergridpublic2012-01-10 20:412014-07-29 13:41
Reportersmxy 
Assigned Tosmxy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSCentOS 64-bitOS Version6
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005846: [SCENEGRAPH] error on HG TP
DescriptionI get a [SCENEGRAPH] error whenever I make an HG teleport from one of my Standalone regions to my other one. It appears on the destination region's console, and is 100% repeatable. See "Additional Information" for the error.

It also occurred when another user TP'd to my Standalone, from theirs, external to my LAN.

I also see it, repeatedly, on the region console of a region in my ROBUST grid, when I return from the Logicamp grid (logicamp.dyndns.org:8002:logicamp), which I presume is also a ROBUST grid, given the port it uses. They are running "OpenSim 0.7.2 RC1 (Win/.NET)".

I do not observe this when I TP from my ROBUST grid to my standalone, or vice versa.
Steps To ReproduceHG TP from one Standalone to another, and observe error on the destination region's console.
Additional Information14:32:54 - [SCENEGRAPH]: Error in Scudder: System.NullReferenceException: Object reference not set to an instance of an object
  at OpenSim.Region.Framework.Scenes.SceneCommunicationService.SendChildAgentDataUpdate (OpenSim.Framework.AgentPosition cAgentData, OpenSim.Region.Framework.Scenes.ScenePresence presence) [0x0005a] in /home/ste/grid/src/coreOS/build/build-r17778/OpenSim/Region/Framework/Scenes/SceneCommunicationService.cs:159
  at OpenSim.Region.Framework.Scenes.Scene.SendOutChildAgentUpdates (OpenSim.Framework.AgentPosition cadu, OpenSim.Region.Framework.Scenes.ScenePresence presence) [0x00000] in /home/ste/grid/src/coreOS/build/build-r17778/OpenSim/Region/Framework/Scenes/Scene.cs:3937
  at OpenSim.Region.Framework.Scenes.ScenePresence.CheckForSignificantMovement () [0x00171] in /home/ste/grid/src/coreOS/build/build-r17778/OpenSim/Region/Framework/Scenes/ScenePresence.cs:2744
  at OpenSim.Region.Framework.Scenes.ScenePresence.Update () [0x00092] in /home/ste/grid/src/coreOS/build/build-r17778/OpenSim/Region/Framework/Scenes/ScenePresence.cs:2409
  at OpenSim.Region.Framework.Scenes.SceneGraph.<UpdatePresences>m__14 (OpenSim.Region.Framework.Scenes.ScenePresence presence) [0x00000] in /home/ste/grid/src/coreOS/build/build-r17778/OpenSim/Region/Framework/Scenes/SceneGraph.cs:177
  at OpenSim.Region.Framework.Scenes.SceneGraph.ForEachScenePresence (System.Action`1 action) [0x0001b] in /home/ste/grid/src/coreOS/build/build-r17778/OpenSim/Region/Framework/Scenes/SceneGraph.cs:1217
TagsNo tags attached.
Git Revision or version number7b84942f868a0c0d54a9ccb3627434cbf0e91417
Run ModeStandalone (1 Region)
Physics EngineODE
EnvironmentMono / Linux64
Mono Version2.10
ViewerImprudence 1.4.0 Exp.
Attached Files

- Relationships

-  Notes
(0021158)
justincc (administrator)
2012-03-30 16:29

Is this still an issue on current dev code?
(0021207)
smxy (reporter)
2012-04-07 11:48

It appears to still be an issue, though the message has morphed a bit:

14:44:45 - [UTIL]: Continuing after async_call_method thread terminated with exception Object reference not set to an instance of an object at OpenSim.Region.Framework.Scenes.SceneCommunicationService.SendChildAgentDataUpdate (OpenSim.Framework.AgentPosition cAgentData, OpenSim.Region.Framework.Scenes.ScenePresence presence) [0x0005a] in /home/ste/grid/src/coreOS/build/build-r18653/OpenSim/Region/Framework/Scenes/SceneCommunicationService.cs:160
  at OpenSim.Region.Framework.Scenes.Scene.SendOutChildAgentUpdates (OpenSim.Framework.AgentPosition cadu, OpenSim.Region.Framework.Scenes.ScenePresence presence) [0x00000] in /home/ste/grid/src/coreOS/build/build-r18653/OpenSim/Region/Framework/Scenes/Scene.cs:4107
  at OpenSim.Region.Framework.Scenes.ScenePresence+<CheckForSignificantMovement>c__AnonStorey2C.<>m__38 (System.Object ) [0x00000] in /home/ste/grid/src/coreOS/build/build-r18653/OpenSim/Region/Framework/Scenes/ScenePresence.cs:2678
  at OpenSim.Framework.Util+<FireAndForget>c__AnonStorey5.<>m__7 (System.Object o) [0x00005] in /home/ste/grid/src/coreOS/build/build-r18653/OpenSim/Framework/Util.cs:1635
(0021209)
Diva (administrator)
2012-04-08 17:55

[17:55] <CIA-80> opensim: diva * r0f277dfa179e /OpenSim/Region/Framework/Scenes/SceneCommunicationService.cs: Addresses mantis 0005846
(0021213)
smxy (reporter)
2012-04-08 18:31

Fixed. Thanks, Diva. :)

- Issue History
Date Modified Username Field Change
2012-01-10 20:41 smxy New Issue
2012-01-11 07:27 smxy Run Mode Grid (1 Region per Sim) => Standalone (1 Region)
2012-01-11 07:33 smxy Description Updated View Revisions
2012-03-30 16:29 justincc Note Added: 0021158
2012-04-07 11:48 smxy Note Added: 0021207
2012-04-08 17:55 Diva Note Added: 0021209
2012-04-08 18:31 smxy Note Added: 0021213
2012-04-08 18:33 smxy Status new => resolved
2012-04-08 18:33 smxy Fixed in Version => master (dev code)
2012-04-08 18:33 smxy Resolution open => fixed
2012-04-08 18:33 smxy Assigned To => smxy
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker